/* 	libvocenabler: - API definition of the voice call service
 *
 *	Authors: JIANG Dan <dan.jiang@orange-ftgroup.com> 
 *	         YU Yijun <yijun.yu@orange-ftgroup.com> 
 *	
 *	This software and associated documentation files (the "Software") 
 *	are copyright (C) 2005 LiPS Linux Phone Standards Forum [FranceTelecom] 
 *	All Rights Reserved. 
 *
 *	A copyright license is hereby granted for redistribution and use of 
 *	the Software in source and binary forms, with or without modification, 
 *	provided that the following conditions are met: 
 *	- Redistributions of source code must retain the above copyright notice, 
 *	this copyright license and the following disclaimer. 
 * - Redistributions in binary form must reproduce the above copyright 
 *	notice, this copyright license and the following disclaimer in the 
 *	documentation and/or other materials provided with the distribution. 
 *	- Neither the name of LiPS  nor the names of its Members may be used 
 *	to endorse or promote products derived from the Software without 
 *	specific prior written permission. 
 *
 *	A patent license for any Necessary Claims owned by Members of LiPS Forum 
 *	to make, have made, use, import, offer to sell, lease and sell or otherwise 
 *	distribute any implementation compliant with the any specification adopted 
 *	by the LiPS Forumcan be obtained from the respective Members on reasonable 
 *	and non-discriminatory terms and conditions and under reciprocity, as 
 *	regulated in more detail in the Internal Policy of the LiPS Forum. 
 *
 *	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER, ITS MEMBERS AND CONTRIBUTORS 
 *	"AS IS", AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
 *	THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
 *	AND NON-INFRINGEMENT ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER, 
 *	ITS MEMBERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *	SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 *	PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; 
 *	OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 *	WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 *	ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 *	POSSIBILITY OF SUCH DAMAGE. 
 */


#ifndef	__LIPS_VOC_ERROR_H
#define	__LIPS_VOC_ERROR_H

#include "voctype.h"

#ifdef __cplusplus
extern "C"
{
#endif                          /* __cplusplus */

/* 
 *@brief VOC request error code.
 */
  typedef enum
  {
    VOC_ERR_NONE = 0,                 /**< No error */

    VOC_ERR_INVALIDSESSION,           /**< This session is invalid */

    VOC_ERR_NOTSUPPORT,               /**< This function is not supported */

    VOC_ERR_NOLINK,                   /**< There is no link */

    VOC_ERR_NOTREGISTERED,                /**< There is an event, but not registered for current session */

    VOC_ERR_NOT_EXIST,                                  /**<		no line with the specified index exist*/

    VOC_ERR_TOO_BIG,                            /**VOC_ERROR_OUT_OF_RANGE< no lines exist with any index no less than the specified value */

    VOC_ERR_GENERAL,                  /**< General error */

    VOC_ERR_CARRIER,                            /**<DBUS error */

    VOC_ERR_UNKNOWN,                   /**< Unknown error */

    VOC_ERR_TIMEOUT,                     /**< Time is out */

    VOC_ERR_OUT_OF_SERVICE,     /**< Out of service */

  } voc_err_t;

#ifdef __cplusplus
}
#endif                          /* __cplusplus */

#endif                          /* __LIPS_VOC_ERROR_H */

/* 
vi:ts=2:nowrap:ai:expandtab
*/

