/* 	libvocenabler: - API definition of the voice call service
 *
 *	Authors: JIANG Dan <dan.jiang@orange-ftgroup.com> 
 *	         YU Yijun <yijun.yu@orange-ftgroup.com> 
 *	
 *	This software and associated documentation files (the "Software") 
 *	are copyright (C) 2005 LiPS Linux Phone Standards Forum [FranceTelecom] 
 *	All Rights Reserved. 
 *
 *	A copyright license is hereby granted for redistribution and use of 
 *	the Software in source and binary forms, with or without modification, 
 *	provided that the following conditions are met: 
 *	- Redistributions of source code must retain the above copyright notice, 
 *	this copyright license and the following disclaimer. 
 * - Redistributions in binary form must reproduce the above copyright 
 *	notice, this copyright license and the following disclaimer in the 
 *	documentation and/or other materials provided with the distribution. 
 *	- Neither the name of LiPS  nor the names of its Members may be used 
 *	to endorse or promote products derived from the Software without 
 *	specific prior written permission. 
 *
 *	A patent license for any Necessary Claims owned by Members of LiPS Forum 
 *	to make, have made, use, import, offer to sell, lease and sell or otherwise 
 *	distribute any implementation compliant with the any specification adopted 
 *	by the LiPS Forumcan be obtained from the respective Members on reasonable 
 *	and non-discriminatory terms and conditions and under reciprocity, as 
 *	regulated in more detail in the Internal Policy of the LiPS Forum. 
 *
 *	THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER, ITS MEMBERS AND CONTRIBUTORS 
 *	"AS IS", AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, 
 *	THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
 *	AND NON-INFRINGEMENT ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER, 
 *	ITS MEMBERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
 *	SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, 
 *	PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; 
 *	OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, 
 *	WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) 
 *	ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE 
 *	POSSIBILITY OF SUCH DAMAGE. 
 */

#ifndef	__LIPS_VOC_TYPE_H
#define	__LIPS_VOC_TYPE_H

#include <string.h>
#include <time.h>

#ifdef __cplusplus
extern "C"
{
#endif                          /* __cplusplus */

/* 
 *basic type definition
 */

  typedef char Int8;
  typedef short Int16;
  typedef int Int32;
  typedef unsigned char UInt8;
  typedef unsigned short UInt16;
  typedef unsigned int UInt32;

  typedef UInt8 uint8_t;
  typedef UInt16 uint16_t;
  typedef UInt32 uint32_t;

  typedef UInt8 Boolean;

  typedef Boolean boolean_t;

#ifndef TRUE
#define TRUE      ( (Boolean)1 )
#endif

#ifndef FALSE
#define FALSE     ( (Boolean)0 )
#endif

/**Designates in a voc_line_connect() call the line provisioned as default
 *(via e.g. OMA DM)
 *@brief index indicating the default line
 */
#define VOC_DEFAULT_LINE ((uint32_t) -1)
#define VOC_DEFAULT_CELLULAR_LINE ((uint32_t) -2)
#define VOC_DEFAULT_SHORTLINK_LINE ((uint32_t) -3)

#define VOC_LID_INVALID		((voc_cid_t) -1)
#define VOC_CID_INVALID 	((voc_cid_t) -1)

#define VALUE_NOEXIST 10000


/**
 *@brief Session ID
 */
  typedef uint32_t voc_sid_t;

/**
 *@brief Line ID
 */
  typedef uint32_t voc_lid_t;

/**
 *@brief Call ID, unique in a session
 */
  typedef uint32_t voc_cid_t;

/**
 *@brief Line status.
 *  A number from 0 to 100 representing strength/quality of the line. 
 */
  typedef uint32_t voc_line_signal_t;

/**
 *@brief time type
 */
  typedef time_t voc_time_t;

#ifdef __cplusplus
}
#endif                          /* __cplusplus */

#endif                          /* __LIPS_VOC_TYPE_H */

/* 
vi:ts=2:nowrap:ai:expandtab
*/

